> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Margin Conversions

> Lists conversions and short collateral requirement between specified date range. This endpoint is deprecated and will be removed in the future. Use /v1/entities/{entity_id}/margin_summaries instead.

### Supported Products

* Portfolio Margin


## OpenAPI

````yaml GET /v1/portfolios/{portfolio_id}/margin_conversions
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/margin_conversions:
    get:
      tags:
        - Financing
      summary: List Margin Conversions
      description: >-
        Lists conversions and short collateral requirement between specified
        date range. This endpoint is deprecated and will be removed in the
        future. Use /v1/entities/{entity_id}/margin_summaries instead.
      operationId: PrimeRESTAPI_GetMarginConversions
      parameters:
        - name: portfolio_id
          in: path
          description: The unique ID of the portfolio
          required: true
          schema:
            type: string
        - name: start_date
          in: query
          description: The start date of the range to query for in RFC3339 format
          schema:
            type: string
        - name: end_date
          in: query
          description: The end date of the range to query for in RFC3339 format
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetMarginConversionsResponse
components:
  schemas:
    coinbase.public_rest_api.GetMarginConversionsResponse:
      type: object
      properties:
        conversions:
          type: array
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.Conversion'
    coinbase.public_rest_api.Conversion:
      type: object
      properties:
        conversion_details:
          type: array
          description: Conversion details
          items:
            $ref: '#/components/schemas/coinbase.public_rest_api.ConversionDetail'
        short_collateral:
          $ref: '#/components/schemas/coinbase.public_rest_api.ShortCollateral'
        conversion_datetime:
          type: string
          description: The UTC date time used for conversion
          example: '2023-05-01T12:00:00.000Z'
        portfolio_id:
          type: string
          description: Portfolio Id
    coinbase.public_rest_api.ConversionDetail:
      type: object
      properties:
        symbol:
          type: string
          description: The currency symbol
          example: BTC
        tf_balance:
          type: string
          description: Trade finance balance after the conversion
          example: '20000'
        notional_tf_balance:
          type: string
          description: Notional trade finance balance after the conversion
          example: '4000'
        converted_balance:
          type: string
          description: Converted balance
          example: '1000'
        notional_converted_balance:
          type: string
          description: Notional converted balance
          example: '1000'
        interest_rate:
          type: string
          description: Interest rate
          example: '0.1'
        conversion_rate:
          type: string
          description: Conversion rate
          example: '0.1'
    coinbase.public_rest_api.ShortCollateral:
      type: object
      properties:
        old_balance:
          type: string
          description: Existing short collateral balance
          example: '1000'
        new_balance:
          type: string
          description: New short collateral balance required
          example: '1000'
        loan_interest_rate:
          type: string
          description: Loan interest rate
          example: '0.1'
        collateral_interest_rate:
          type: string
          description: Collateral interest rate
          example: '0.1'

````